import { Error } from "./error";
export class UnsupportedBase {
    reportError(errorKind) {
        throw new SyntaxError(Error[errorKind]);
    }
    anyTypeAnnotation(_anyTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    arrayTypeAnnotation(_arrayTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    booleanTypeAnnotation(_booleanTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    booleanLiteralTypeAnnotation(_booleanLiteralTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    nullLiteralTypeAnnotation(_nullLiteralTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    classImplements(_classImplements) {
        this.reportError(Error.FlowUnsupported);
    }
    declareClass(_declareClass) {
        this.reportError(Error.FlowUnsupported);
    }
    declareFunction(_declareFunction) {
        this.reportError(Error.FlowUnsupported);
    }
    declareInterface(_declareInterface) {
        this.reportError(Error.FlowUnsupported);
    }
    declareModule(_declareModule) {
        this.reportError(Error.FlowUnsupported);
    }
    declareModuleExports(_declareModuleExports) {
        this.reportError(Error.FlowUnsupported);
    }
    declareTypeAlias(_declareTypeAlias) {
        this.reportError(Error.FlowUnsupported);
    }
    declareOpaqueType(_declareOpaqueType) {
        this.reportError(Error.FlowUnsupported);
    }
    declareVariable(_declareVariable) {
        this.reportError(Error.FlowUnsupported);
    }
    declareExportDeclaration(_declareExportDeclaration) {
        this.reportError(Error.FlowUnsupported);
    }
    declareExportAllDeclaration(_declareExportAllDeclaration) {
        this.reportError(Error.FlowUnsupported);
    }
    declaredPredicate(_declaredPredicate) {
        this.reportError(Error.FlowUnsupported);
    }
    existsTypeAnnotation(_existsTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    functionTypeAnnotation(_functionTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    functionTypeParam(_functionTypeParam) {
        this.reportError(Error.FlowUnsupported);
    }
    genericTypeAnnotation(_genericTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    inferredPredicate(_inferredPredicate) {
        this.reportError(Error.FlowUnsupported);
    }
    interfaceExtends(_interfaceExtends) {
        this.reportError(Error.FlowUnsupported);
    }
    interfaceDeclaration(_interfaceDeclaration) {
        this.reportError(Error.FlowUnsupported);
    }
    interfaceTypeAnnotation(_interfaceTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    intersectionTypeAnnotation(_intersectionTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    mixedTypeAnnotation(_mixedTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    emptyTypeAnnotation(_emptyTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    nullableTypeAnnotation(_nullableTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    numberLiteralTypeAnnotation(_numberLiteralTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    numberTypeAnnotation(_numberTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeAnnotation(_objectTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeInternalSlot(_objectTypeInternalSlot) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeCallProperty(_objectTypeCallProperty) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeIndexer(_objectTypeIndexer) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeProperty(_objectTypeProperty) {
        this.reportError(Error.FlowUnsupported);
    }
    objectTypeSpreadProperty(_objectTypeSpreadProperty) {
        this.reportError(Error.FlowUnsupported);
    }
    opaqueType(_opaqueType) {
        this.reportError(Error.FlowUnsupported);
    }
    qualifiedTypeIdentifier(_qualifiedTypeIdentifier) {
        this.reportError(Error.FlowUnsupported);
    }
    stringLiteralTypeAnnotation(_stringLiteralTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    stringTypeAnnotation(_stringTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    symbolTypeAnnotation(_symbolTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    thisTypeAnnotation(_thisTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    tupleTypeAnnotation(_tupleTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    typeofTypeAnnotation(_typeofTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    typeAlias(_typeAlias) {
        this.reportError(Error.FlowUnsupported);
    }
    typeAnnotation(_typeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    typeCastExpression(_typeCastExpression) {
        this.reportError(Error.FlowUnsupported);
    }
    typeParameter(_typeParameter) {
        this.reportError(Error.FlowUnsupported);
    }
    typeParameterDeclaration(_typeParameterDeclaration) {
        this.reportError(Error.FlowUnsupported);
    }
    typeParameterInstantiation(_typeParameterInstantiation) {
        this.reportError(Error.FlowUnsupported);
    }
    unionTypeAnnotation(_unionTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    variance(_variance) {
        this.reportError(Error.FlowUnsupported);
    }
    voidTypeAnnotation(_voidTypeAnnotation) {
        this.reportError(Error.FlowUnsupported);
    }
    indexedAccessType(_indexedAccessType) {
        this.reportError(Error.FlowUnsupported);
    }
    optionalIndexedAccessType(_optionalIndexedAccessType) {
        this.reportError(Error.FlowUnsupported);
    }
    enumBooleanBody(_enumBooleanBody) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumNumberBody(_enumNumberBody) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumStringBody(_enumStringBody) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumSymbolBody(_enumSymbolBody) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumBooleanMember(_enumBooleanMember) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumNumberMember(_enumNumberMember) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumStringMember(_enumStringMember) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    enumDefaultedMember(_enumDefaultedMember) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsCallSignatureDeclaration(_tsCallSignatureDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsConstructSignatureDeclaration(_tsConstructSignatureDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsPropertySignature(_tsPropertySignature) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsMethodSignature(_tsMethodSignature) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsIndexSignature(_tsIndexSignature) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsAnyKeyword(_tsAnyKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsBooleanKeyword(_tsBooleanKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsBigIntKeyword(_tsBigIntKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsIntrinsicKeyword(_tsIntrinsicKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsNeverKeyword(_tsNeverKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsNullKeyword(_tsNullKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsNumberKeyword(_tsNumberKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsObjectKeyword(_tsObjectKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsStringKeyword(_tsStringKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsSymbolKeyword(_tsSymbolKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsUndefinedKeyword(_tsUndefinedKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsUnknownKeyword(_tsUnknownKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsVoidKeyword(_tsVoidKeyword) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsThisType(_tsThisType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsFunctionType(_tsFunctionType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsConstructorType(_tsConstructorType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeReference(_tsTypeReference) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypePredicate(_tsTypePredicate) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeQuery(_tsTypeQuery) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeLiteral(_tsTypeLiteral) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsArrayType(_tsArrayType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTupleType(_tsTupleType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsOptionalType(_tsOptionalType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsRestType(_tsRestType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsUnionType(_tsUnionType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsIntersectionType(_tsIntersectionType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsConditionalType(_tsConditionalType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsInferType(_tsInferType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsParenthesizedType(_tsParenthesizedType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeOperator(_tsTypeOperator) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsIndexedAccessType(_tsIndexedAccessType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsMappedType(_tsMappedType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsLiteralType(_tsLiteralType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsExpressionWithTypeArguments(_tsExpressionWithTypeArguments) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsImportType(_tsImportType) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsModuleBlock(_tsModuleBlock) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsDeclareMethod(_tsDeclareMethod) {
        this.reportError(Error.NotImplementedYet);
    }
    tsQualifiedName(_tsQualifiedName) {
        this.reportError(Error.NotImplementedYet);
    }
    tsNamedTupleMember(_tsNamedTupleMember) {
        this.reportError(Error.NotImplementedYet);
    }
    tsInterfaceBody(_tsInterfaceBody) {
        this.reportError(Error.NotImplementedYet);
    }
    tsEnumMember(_tsEnumMember) {
        this.reportError(Error.NotImplementedYet);
    }
    tsExternalModuleReference(_tsExternalModuleReference) {
        this.reportError(Error.NotImplementedYet);
    }
    tsTypeAnnotation(_tsTypeAnnotation) {
        this.reportError(Error.NotImplementedYet);
    }
    tsTypeParameterInstantiation(_tsTypeParameterInstantiation) {
        this.reportError(Error.NotImplementedYet);
    }
    tsTypeParameterDeclaration(_tsTypeParameterDeclaration) {
        this.reportError(Error.NotImplementedYet);
    }
    tsTypeParameter(_tsTypeParameter) {
        this.reportError(Error.NotImplementedYet);
    }
    enumDeclaration(_enumDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsDeclareFunction(_tsDeclareFunction) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsInterfaceDeclaration(_tsInterfaceDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeAliasDeclaration(_tsTypeAliasDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsEnumDeclaration(_tsEnumDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsModuleDeclaration(_tsModuleDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsImportEqualsDeclaration(_tsImportEqualsDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsExportAssignment(_tsExportAssignment) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsNamespaceExportDeclaration(_tsNamespaceExportDeclaration) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsAsExpression(_tsAsExpression) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsTypeAssertion(_tsTypeAssertion) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsNonNullExpression(_tsNonNullExpression) {
        this.reportError(Error.TypeScriptUnsupported);
    }
    tsParameterProperty(_tsParameterProperty) {
        this.reportError(Error.TypeScriptUnsupported);
    }
}
